import { jsx } from "react/jsx-runtime";
import { TokenNAKA as TokenNAKA$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenNAKA = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "NAKA", "data-name": "TokenNAKA", ...props, children: /* @__PURE__ */ jsx(TokenNAKA$1, { variant }) });
  }
);
TokenNAKA.displayName = "TokenNAKA";
Object.assign(TokenNAKA, { isGdsIcon: true });
export {
  TokenNAKA
};
